# SRS Generated on 13 Mar 2024 from [the SRS catalog page](https://marketplace.digitalocean.com/apps/srs) SRS Stack is an all-in-one, out-of-the-box, and open-source video solution for creating online video services, including live streaming and WebRTC, on the cloud or through self-hosting. SRS Stack makes it easy for you to create an online video service. It is made using Go, Reactjs, SRS, FFmpeg, and WebRTC. It supports protocols like RTMP, WebRTC, HLS, HTTP-FLV, and SRT. It offers features like authentication, streaming on multiple platforms, recording, transcoding, virtual live events, automatic HTTPS, and an easy-to-use HTTP Open API. ## Features - Publish live streams with WebRTC, RTMP or SRT - Play Live streams with RTMP, SRT, HTTP-FLV, WebRTC and HLS - WebRTC to RTMP Adapter, vice versa - Web Management Dashboard - Stream authentication for publisher - Open Source [SRS](https://github.com/ossrs/srs) Media Server - Automatic HTTPS by [letsencrypt](https://letsencrypt.org/) - Support restreaming to multiple platforms. - Record live stream to MP4 file. - Support virtual live streaming, covert file or other resource to live. - Support live streaming transcoding by FFmpeg. - Support transcription for converting speech to text. - Support pull RTSP from IP Camera and stream to YouTube/Twitch/Facebook. - Support AI assistant for live room. ## Tutorials - [How to Setup a Video Streaming Service by 1-Click](https://blog.ossrs.io/how-to-setup-a-video-streaming-service-by-1-click-e9fe6f314ac6) - [How to Setup a Video Streaming Service with aaPanel](https://blog.ossrs.io/how-to-setup-a-video-streaming-service-by-aapanel-9748ae754c8c) - [How to Publish Your SRS Livestream Through WordPress](https://blog.ossrs.io/publish-your-srs-livestream-through-wordpress-ec18dfae7d6f) - [How to Secure SRS Stack with Let’s Encrypt by 1-Click](https://blog.ossrs.io/how-to-secure-srs-with-lets-encrypt-by-1-click-cb618777639f) - [Maximize Your Live Streaming Reach: A Guide to Multi-Platform Streaming](https://blog.ossrs.io/maximize-your-live-streaming-reach-a-guide-to-multi-platform-streaming-38be22beec57) - [How to Record Live Streaming to MP4 File](https://blog.ossrs.io/how-to-record-live-streaming-to-mp4-file-2aa792c35b25) - [Virtual Live Events: Revolutionizing the Way We Experience Entertainment](https://blog.ossrs.io/virtual-live-events-revolutionizing-the-way-we-experience-entertainment-ba1895828b4f) ## Software Included | Package | Version | License | |---|---|---| | [SRS Stack](https://github.com/ossrs/srs-stack) | 5.13.31 | [AGPL-3.0-or-later](https://github.com/ossrs/srs-stack/blob/main/LICENSE) | | [SRS](https://github.com/ossrs/srs) | [5.0](https://github.com/ossrs/srs/releases?q=v5.0) | [MIT](https://github.com/ossrs/srs/blob/develop/LICENSE) | | Docker | 20.10 | [Apache-2.0](https://github.com/docker/docker/blob/master/LICENSE) | | Nginx | 1.18.0 | [Custom](http://nginx.org/LICENSE) | | Redis | 5.0 | [BSD-3-Clause](https://redis.io/docs/about/license/) | | FFmpeg | 4.2 | [GPL-2.0](https://ffmpeg.org/legal.html) | ## Creating an App using the Control Panel Click the **Deploy to DigitalOcean** button to create a Droplet based on this 1-Click App. If you aren’t logged in, this link will prompt you to log in with your DigitalOcean account. [![Deploy to DO](https://www.deploytodo.com/do-btn-blue.svg)](https://cloud.digitalocean.com/droplets/new?image=ossrs-srs) ## Creating an App using the API In addition to creating a Droplet from the SRS 1-Click App using the control panel, you can also use the [DigitalOcean API](https://docs.digitalocean.com/reference/api). As an example, to create a 4GB SRS Droplet in the SFO2 region, you can use the following `curl` command. You need to either save your [API access token](https://docs.digitalocean.com/reference/api/create-personal-access-token/index.html.md) to an environment variable or substitute it in the command below. ```shell curl -X POST -H 'Content-Type: application/json' \ -H 'Authorization: Bearer '$TOKEN'' -d \ '{"name":"choose_a_name","region":"sfo2","size":"s-2vcpu-4gb","image":"ossrs-srs"}' \ "https://api.digitalocean.com/v2/droplets" ``` ## Getting Started After Deploying SRS Please follow the steps to configure SRS. ## Step 1 Create a droplet from the image available in the Marketplace. ## Step 2 After you created a Droplet, you can navigate to `http://your_droplet_public_ipv4/mgmt` to initialize it. > Note: If you forget the password, you can find it at `/data/config/.env` as env `MGMT_PASSWORD` ## Step 3 Follow the guide in SRS, to publish stream and play it. ## Step 4 (Optional) If wants to publish by WebRTC, you must setup the HTTPS. Add a domain to your droplet. This is required because most browsers require HTTPS in order to allow you to use the camera and microphone in a website, and it’s not possible to enable HTTPS just with an IP. Then navigate to `System / HTTPS` and input your domain, click the `Submit` to request a HTTPS cert from [letsencrypt](https://letsencrypt.org/).